#ifndef WAVE_H
#define WAVE_H

typedef struct t_riff{
  unsigned long magic;
  unsigned long riff_len;
  unsigned long wav_magic;
  unsigned long fmt_magic;
  unsigned long fmt_size;
  unsigned short fmt_tag;
  unsigned short channels;
  unsigned long samp_per_sec;
  unsigned long bytes_per_sec;
  unsigned short block_align;
  unsigned short bits_per_sample;
  unsigned long data_magic;
  unsigned long data_len;
}riff;

int write_wave_header(FILE *f,int sample_rate);
int fixup_wave_header(FILE *f,unsigned long size,int sample_rate);
#endif
